package yi.iu.imgdb.learn;

import yi.ds.hash.DoubleScoreHashMap;

/**
 * Same as StatTestRst, but save the verification errors as well
 */

public class StatTestRstWithVerErr extends StatTestRst {

  static final long serialVersionUID = -7883588204143616360L;
  /**
   * the verification errors on each object
   */
  protected DoubleScoreHashMap m_verificationErrors;

  protected DoubleScoreHashMap m_thresholds;

  public StatTestRstWithVerErr() {
  }

  public void setVerificationErrors(DoubleScoreHashMap errors) {
    m_verificationErrors = errors;
  }

  public DoubleScoreHashMap getVerficationErrors() {
    return m_verificationErrors;
  }

  public void setThresholds(DoubleScoreHashMap threshold) {
    m_thresholds = threshold;
  }

  public DoubleScoreHashMap getThresholds() {
    return m_thresholds;
  }
}